# Following configuration is only valid when MDS transport is chosen as TCP.
# This file contains configuration for the DTM  service
# See the file osaf/services/infrastructure/dtm/README for more configuration options.

# Uncomment the next line if you want to run dtm through valgrind
#export DTMTOOL="valgrind --leak-check=full --log-file=/tmp/dtm.valgrind"

# Uncomment the next line to enable trace
#args="--tracemask=0xffffffff"

# Healthcheck keys
export DTM_ENV_HEALTHCHECK_KEY="Default"

# Mandatory
DTM_CLUSTER_ID=1

#IP of the self node
# DTMSv
# Mandatory
DTM_NODE_IP=172.17.0.2

# Multicast IP of the self node 
# DTMSv
# Optional
DTM_MCAST_ADDR=224.0.0.6

# tcp_listening_port: The TCP port that the DTMSv listens on
# Mandatory
DTM_TCP_LISTENING_PORT=6700

#
# udp_bcast_snd_port: The UDP port that the DTMSv snds on
# Mandatory
DTM_UDP_BCAST_SND_PORT=6800

# udp_bcast_rcvr_port: The UDP port that the DTMSv listens on
# Mandatory
DTM_UDP_BCAST_REV_PORT=6900

#
# udp_broadcast_port: The UDP port that the DTMSv listens on
# Mandatory
DTM_BCAST_FRE_MSECS=250 

# dtm_discovery_timeout_secs:  This is the time dtmc should be allowed to wait
# for a service script finish executing. If the service is not finished
# within this time dtmc will send a timeout message to DTMSv
# Mandatory
DTM_INI_DIS_TIMEOUT_SECS=5

#
# so_keepalive: Enable sending of keep-alive messages on connection-oriented
# sockets. Expects an integer boolean flag
# Note that without this set none of the tcp options will matter
DTM_SKEEPALIVE=1

#
# tcp_keepalive_time: The time (in seconds) the connection needs to remain 
# idle before TCP starts sending keepalive probes
# Optional
DTM_TCP_KEEPIDLE_TIME=2

#
# tcp_keepalive_intvl: The time (in seconds) between individual keepalive 
# probes.
# Optional
DTM_TCP_KEEPALIVE_INTVL=1

#
# tcp_keepalive_probes: The  maximum number of keepalive probes TCP should 
# send before dropping the connection.
# Optional
DTM_TCP_KEEPALIVE_PROBES=2

#
#Used to Set the dtm internode & intranode  socket SO_SNDBUF/SO_RCVBUF buffer in bytes.
#The kernel doubles this value (to allow space for bookkeeping over-head)
#when it is set using setsockopt(),and this doubled value is returned  by
#getsockopt(). The default value is set by the rmem_default/wmem_default
#sysctl and the maximum allowed value is set by the rmem_max/wmem_max sysctl.
#
# IMP NOTE : If DTM_SOCK_SND_RCV_BUF_SIZE  is configured according to application requirements ,
#it is also mandatory to  export `MDS_SOCK_SND_RCV_BUF_SIZE=` with  the same value of
#for example if set as DTM_SOCK_SND_RCV_BUF_SIZE=126976 need to do :
#export MDS_SOCK_SND_RCV_BUF_SIZE=126976 
DTM_SOCK_SND_RCV_BUF_SIZE=65536

